<?php

namespace Shop\Domain\CustomerOrder\Contracts;

use Repo\EntityInterface;

/**
* Description of CustomerOrder
*
* @author Diamond Code Generator
*/
interface CustomerOrderEntityInterface extends EntityInterface
{
    public function getSum(): float;

    /**
     * @return bool
     */
    public function isPayment():bool ;

    /**
     * @return string
     */
    public function getOrderCode(): string;

    public function getDiscountPercent():float ;

    /**
     * @return int
     */
    public function getCustomerId();

    /**
     * @return int
     */
    public function getPaymentId();

    /**
     * @return int
     */
    public function getStateId();

    /**
     * @return \DateTime
     */
    public function getDatetime();

    /**
     * @return mixed
     */
    public function getComment();
}             